TAU_GLOBAL_TIMER_EXT(3)

NAME
TAU_GLOBAL_TIMER_EXTERNAL - Declares a global timer from an external compilation unit

SYNOPSIS

C/C++:

TAU_GLOBAL_TIMER_EXTERNAL(Profiler timer);

DESCRIPTION

TAU_GLOBAL_TIMER_EXTERNAL allows you to access a timer defined in another compilation unit.

EXAMPLE

C/C++ :

/* f1.c */
TAU_GLOBAL_TIMER(globalTimer, "global timer", "", TAU_USER);
/* f2.c */
TAU_GLOBAL_TIMER_EXTERNAL(globalTimer);
int foo(void) {
  TAU_GLOBAL_TIMER_START(globalTimer);
  /* ... */
  TAU_GLOBAL_TIMER_STOP();
}

SEE ALSO

TAU_GLOBAL_TIMER(3), TAU_GLOBAL_TIMER_START(3), TAU_GLOBAL_TIMER_STOP(3)